Docs

Incidents

List Incidents

GET
/v1/incidents

List authorized incidents without Slack transport metadata.

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

projectId?string
status?string

Value in

  • "queued"
  • "running"
  • "halted"
  • "complete"
  • "error"
  • "canceled"
search?string
Lengthlength <= 256
limit?integer
Range1 <= value <= 100
Default25
cursor?string
Lengthlength <= 4096
workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/incidents"
{  "items": [    {      "id": "string",      "number": 1,      "reference": "string",      "title": "string",      "scopeLabel": "string",      "agentSessionId": "string",      "sessionStatus": "queued",      "projectId": "string",      "deploymentId": "string",      "releaseId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}

Get Incident

GET
/v1/incidents/{id}

Get an authorized incident without Slack transport metadata.

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string
Length1 <= length <= 128

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/incidents/string"
{  "incident": {    "id": "string",    "number": 1,    "reference": "string",    "title": "string",    "scopeLabel": "string",    "agentSessionId": "string",    "sessionStatus": "queued",    "projectId": "string",    "deploymentId": "string",    "releaseId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}